package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.statistics.pojo.base.StoreBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装店铺分析-店铺报表Vo对象
 * @author wuxy
 */
@Data
public class StoreReportVO {

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("支付金额")
    private BigDecimal orderPayAmount;

    @ApiModelProperty("下单金额")
    private BigDecimal orderSubmitAmount;

    @ApiModelProperty("支付订单数")
    private Integer orderPayNum;

    @ApiModelProperty("下单数")
    private Integer orderSubmitNum;

    @ApiModelProperty("访客数")
    private Integer visitorNum;

    @ApiModelProperty("浏览量")
    private Integer viewNum;

    @ApiModelProperty("商品访客数")
    private Integer goodsVisitorNum;

    @ApiModelProperty("商品浏览量")
    private Integer goodsViewNum;

    @ApiModelProperty("被访问商品数")
    private Integer viewGoodsNum;

    @ApiModelProperty("动销商品数")
    private Integer salingGoodsNum;

    @ApiModelProperty("退单数")
    private Integer returnNum;

    @ApiModelProperty("退单金额")
    private BigDecimal returnAmount;

    public StoreReportVO(StoreBase storeBase) {
        this.storeId = storeBase.getStoreId();
        this.storeName = storeBase.getStoreName();
        this.orderPayAmount = storeBase.getOrderPayAmount();
        this.orderSubmitAmount = storeBase.getOrderSubmitAmount();
        this.orderPayNum = storeBase.getOrderPayNum();
        this.orderSubmitNum = storeBase.getOrderSubmitNum();
        this.visitorNum = storeBase.getVisitorNum();
        this.viewNum = storeBase.getViewNum();
        this.goodsVisitorNum = storeBase.getGoodsVisitorNum();
        this.goodsViewNum = storeBase.getGoodsViewNum();
        this.viewGoodsNum = storeBase.getViewGoodsNum();
        this.salingGoodsNum = storeBase.getSalingGoodsNum();
        this.returnNum = storeBase.getReturnNum();
        this.returnAmount = storeBase.getReturnAmount();
    }
}
